// vizhub supports ES6 modules
// import select module using ES6 syntax - which is cleaner code overall
// looks to the d3 global object

import { select, arc } from 'd3';
// arc is necessary for the mouth

const svg = d3.select('svg');
// background colour
// svg.style('background-color','#e6e6e6')

const height = +svg.attr('height');
const width = +svg.attr('width');
// face circle
const circle = svg.append('circle')
  .attr('r', height / 2)
  .attr('cx', width / 2)
	.attr('cy', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black')

// eyes
const eyeSpacing = 100
const eyeYOffset = -70
const leftEye = svg.append('circle')
  .attr('r', 30)
  .attr('cx', width / 2 - eyeSpacing)
	.attr('cy', height / 2 + eyeYOffset)
	.attr('fill', 'black')
	.attr('stroke', 'black')

const rightEye = svg.append('circle')
  .attr('r', 30)
  .attr('cx', width / 2 + eyeSpacing)
	.attr('cy', height / 2 + eyeYOffset)
	.attr('fill', 'black')
	.attr('stroke', 'black')

// mouth
const g = svg.append('g')
	.attr('transform', 'translate(${width / 2}, ${height / 2})');

const mouth = g.append('path')
	.attr('d', arc()({
  		innerRadius: 100,
    	outerRadius: 100,
    	startAngle: Math.PI / 2,
    	endAngle: Math.PI * 3 / 2
  }));

